LINUX.ORG.RU

Предлагает обновить пакет из полностью замаскированого оверлея

 ,


0

1

Прошу прощения, но я еще с одним маленьким вопросом:

calculate demas # cat /etc/portage/package.mask/custom 
*/*::fkmclane
*/*::fw-overlay
*/*::soft
*/*::bobwya
*/*::gentoo

calculate demas # cat /etc/portage/package.unmask/custom 
media-tv/plex-media-server::fkmclane
dev-util/idea::fw-overlay
app-editors/sublime-text::fw-overlay
media-fonts/fira::soft

calculate demas # cat /etc/portage/package.use/custom 
media-libs/freetype infinality -bindist
net-misc/tightvnc servser

Оверлей gentoo полностью замаскирован. Так почему при обновлении он пытается обновить из него пакет:

calculate demas # cl-update
Синхронизация репозиториев
 * Синхронизация Distros репозитория ...                                                                                     [ ok ]
 * Синхронизация Calculate репозитория ...                                                                                   [ ok ]
 * Синхронизация Portage репозитория ...                                                                                     [ ok ]
 * Синхронизация завершена
Конфигурация системы
 * Исправление настроек ...                                                                                                  [ ok ]
 * Обновление конфигурационных файлов ...                                                                                    [ ok ]
Проверка обновлений
 * Вычисление зависимостей ...                                                                                               [ ok ]
[ebuild     U #] net-misc/vpnc-0.5.3_p550::gentoo [0.5.3_p527-r1::gentoo] USE="gnutls -resolvconf (-selinux)" 100 KiB

Если нужны еще какие-то конф файлы - напишите.

★★

Ответ на: комментарий от daemonpnz

Для него это оверлей, пускай маскирует, пока думать не научится.

ТС, сходит почитай Gentoo Handbook.

kostik87 ★★★★★ ()
Ответ на: комментарий от lemas

Удали в таком случае все пакеты, которые ты поставил в систему из замаскированного оверлея.

kostik87 ★★★★★ ()

Уже установленные пакеты БУДУТ учитываться в зависимостях при запросах на обновления. Обновлены они не будут, если нет ни одной подходящей версии.

Для исключения пакетов из под контроля portage существует package.provided. Но тогда пакет надо и ставить в обход portage.

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от Pinkbyte

Не очень понятно, поэтому уточню:

calculate demas # eix vpnc

[U] net-misc/vpnc
     Available versions:  [m]0.5.3_p527-r1^d [m]0.5.3_p527-r1^d[1] [m]~0.5.3_p550^d [m]0.5.3_p550^d[1] {+gnutls resolvconf selinux}
     Installed versions:  0.5.3_p527-r1(22:01:27 07.03.2015)(gnutls -resolvconf -selinux)


[1] "gentoo" /var/lib/layman/gentoo

Сейчас установлена версия 0.5.3_p527-r1, причем установлена она не из gentoo.

В gentoo есть более новая версия 0.5.3_p550^d[1], но весь gentoo у меня теперь замаскирован.

Я понимаю, если пакет уже установленный из gentoo стал бы обновляться из gentoo. Но ведь обновляется пакет установленный совсем из другого оверлея.

Так и должно быть ?

И, да, если размаскировать gentoo, то emerge предалагает обновить гораздо больше пакетов. Значит маскировка оверлея в моем случае работает для все пакетов. А для одного этого нет. Чем он особенный ?

lemas ★★ ()
Последнее исправление: lemas (всего исправлений: 1)

Ты наркоман?!

Зачем добавлять оверлеи, если ты их всё равно маскаешь? Стащи нужные ебилды в локальный оверлей (документацию читать тоже научись), и не городи костыли!

r3lgar ★★★★★ ()
Ответ на: Ты наркоман?! от r3lgar

Я макскирую весь оверлей и при этом я размаскирую 2-3 пакета из оверлея, которые использую.

Если я стащу ebuild в свой оверлей, мне придется заботить о его обновлении. А так, как я понимаю, нет.

lemas ★★ ()
Ответ на: комментарий от lemas

Чем он особенный ?

Тем что он скорее всего у тебя помечен как master

Покажи /usr/portage/metadata/layout.conf(или где там у вас калькулейтовцев главное дерево лежит)

Pinkbyte ★★★★★ ()
Ответ на: комментарий от Pinkbyte
calculate demas # cat /usr/portage/metadata/layout.conf 
# This went live Wednesday, July 4, 2012 at 10:00 UTC
# For more details, please see: http://archives.gentoo.org/gentoo-dev-announce/msg_00000.xml
# and/or GLEP 59.
manifest-hashes = SHA256 SHA512 WHIRLPOOL

# Bug #470670 - gentoo's council says to deprecate EAPIs 1 and 2.
# 2014-02-25 council meeting deprecated EAPIs 0 and 3.
eapis-deprecated = 0 1 2 3

# Bug #337853 - gentoo's council says to enable
# --echangelog by default for the "gentoo" repo
update-changelog = true

# Make egencache generate newer (more reliable)
# md5-dict cache format (see bug #409445).
# NOTE: list md5-dict first so clients prefer it
# INFRA NOTE: Format 'pms' was removed on Aug 6 2012. (Announced prior as Aug 1
# 2012 was the removal date)
cache-formats = md5-dict

# Support for implicit masters is deprecated, so we need to explicitly
# specify that this repo does not dependent on any masters, in order
# to distinguish it from repos that rely on the deprecated behavior.
masters =
thin-manifests = true
sign-manifests = false
lemas ★★ ()
Ответ на: комментарий от lemas

мне придется заботить о его обновлении

А ты хочешь и рыбку съесть и на... кхм ...сесть?

А так, как я понимаю, нет.

Но так тебе приходится жрать кактус. Раз уж ты его добровольно жрёшь, то не жалуйся. :3

Говорю как держатель оверлея: ничего сложного нет.

r3lgar ★★★★★ ()
Ответ на: комментарий от r3lgar

Говорю как держатель оверлея: ничего сложного нет.

Да я знаю, что нет. Просто прежде чем городить свой оверлей, поинтересовался - можно ли заставить уже имеющийся работать так, как мне надо

lemas ★★ ()
Ответ на: комментарий от lemas

заставить уже имеющийся работать так, как мне надо

Твоя хотелка идёт в разрез с логикой.

r3lgar ★★★★★ ()
Ответ на: комментарий от Pinkbyte
demas@calculate ~ % cat /var/lib/layman/calculate/metadata/layout.conf
masters = gentoo

# Use thin manifests
thin-manifests = true

# Dont sign thin manifests. There is no current policy for git commit signing
sign-manifests = false

# Make egencache generate newer (more reliable)
# md5-dict cache format
cache-formats = md5-dict

# Support package.* directories as well as files
profile-formats = portage-2
lemas ★★ ()
Ответ на: комментарий от lemas

masters = gentoo

Вопросов лично у меня больше нет

Кури PMS и разбирайся почему оно так

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.